Bug 26435 - AutoSelfCheckID syspref description should warn it blocks OPAC access
Summary: AutoSelfCheckID syspref description should warn it blocks OPAC access
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-11 15:26 UTC by Andrew Fuerste-Henry
Modified: 2020-10-20 01:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 26435: Add warning to AutoSelfCheck sysprefs (1.09 KB, patch)
2020-09-11 15:42 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26435: Add warning to AutoSelfCheck sysprefs (1.14 KB, patch)
2020-09-11 15:47 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26435: Add warning to AutoSelfCheck sysprefs (1.20 KB, patch)
2020-09-12 18:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26435: (QA follow-up) Fix terminology: borrower to patron in new hint (1.16 KB, patch)
2020-09-12 18:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26435: (QA follow-up) Terminology: Fix some more borrowers in other preferences (2.76 KB, patch)
2020-09-12 18:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-09-11 15:26:05 UTC
The OPAC blocks login of the account specified in the AutoSelfCheckID syspref (even if the AutoSelfCheckAllowed syspref is off and the account in question doesn't have self_check permissions).

The descriptive text on the syspref should warn of this.
Comment 1 Andrew Fuerste-Henry 2020-09-11 15:42:06 UTC
Created attachment 109964 [details] [review]
Bug 26435: Add warning to AutoSelfCheck sysprefs

To test:
1- apply patch, restart
2- look up AutoSelfCheck sysprefs
3- confirm new note in description
Comment 2 Lucas Gass 2020-09-11 15:47:44 UTC
Created attachment 109965 [details] [review]
Bug 26435: Add warning to AutoSelfCheck sysprefs

To test:
1- apply patch, restart
2- look up AutoSelfCheck sysprefs
3- confirm new note in description

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-09-12 18:02:25 UTC
Created attachment 109985 [details] [review]
Bug 26435: Add warning to AutoSelfCheck sysprefs

To test:
1- apply patch, restart
2- look up AutoSelfCheck sysprefs
3- confirm new note in description

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-09-12 18:02:30 UTC
Created attachment 109986 [details] [review]
Bug 26435: (QA follow-up) Fix terminology: borrower to patron in new hint

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-09-12 18:02:36 UTC
Created attachment 109987 [details] [review]
Bug 26435: (QA follow-up) Terminology: Fix some more borrowers in other preferences

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Andrew Fuerste-Henry 2020-09-12 20:28:13 UTC
Thanks, Katrin! I just moved my bookmark for https://wiki.koha-community.org/wiki/Terminology to somewhere I'll (hopefully) remember to check it!
Comment 7 Jonathan Druart 2020-09-18 09:54:27 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-10-15 22:08:47 UTC
backported to 20.05.x for 20.05.05
Comment 9 Aleisha Amohia 2020-10-20 01:15:27 UTC
enhancement, not backported to 19.11.x